RMMV Sideview Battler Problem

Discussion in 'RPG Maker MV' started by Google_Chrom, Jul 12, 2018.

  1. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    So I'm using the two plugins that allow for an actor character to be used as an enemy in the game, but they won't work at all. I'm using YED_SideviewBattler and YEP_X_AnimatedSVEnemies, but I keep getting a message every time I run into the enemy that I want to look like an actor. The message is "TypeError Cannot read property 'index' of undefined". I have no idea how to fix this. Last night it was saying that it couldn't find the file in the enemies folder, the sv_actors folder, or the sv_enemies folder, but now it's saying this. Could someone please spare a moment to help me fix this issue? It would be much appreciated. Thank you in advance.
     
    #1
  2. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    @Google_Chrom Do you have YEP_BattleEngineCore? YEP_X_AnimatedSVEnemies doesn't work without it.
     
    #2
  3. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    Yes I have it, and I also have the two other plugins placed below it just like the instructions told me to do.
     
    #3
  4. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    Then there may be a conflict between YED_SideviewBattler and YEP_AnimatedSVEnemies. If I am recalling correctly, both serve the same purposes, so having both is redundant and most likely are causing conflicts with each other.
     
    #4
  5. KayZaman

    KayZaman Brother-Veteran Veteran

    Messages:
    751
    Likes Received:
    1,694
    Location:
    South-East Asia
    First Language:
    English & Malay
    Primarily Uses:
    RMMV
    What version of your RMMV? 1.5 or 1.6?
     
    #5
  6. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist I have YEP_BattleEngineCore and YEP_X_ActSeqPack2 placed above the two plugins I mentioned before. YEP_BattleEngineCore is on top of all three of them.
     
    #6
  7. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    So you don't have YEP_X_ActSeqPack1?
     
    #7
  8. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @KayZaman It's version 1.6
    @JtheDuelist I tried using only YEP_AnimatedSVEnemies by itself last night and it kept saying that it couldn't find the files.
     
    #8
  9. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    #9
  10. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    Maybe your plugins are out-of-date and are not the 1.6.0/1.6.1-compatible versions, as 1.6 changed a lot of how plugins work (and the reason I am sticking to 1.5.2)
     
    #10
  11. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist Will reverting back to 1.5.2 delete any of my data? I was warned by a friend that you shouldn't downgrade for that reason.
     
    #11
  12. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    No, but it is recommended to back up your projects anyway, as you have to replace certain files in a project so a project is on the same version of the maker. Here are the instructions:
     
    #12
  13. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist The project is still there even after I downgraded, but the problem is still persisting. Could it only be a problem in the battle tester? I haven't tried it out in the play tester yet.

    @JtheDuelist How would I go about updating my plugins?
     
    Last edited by a moderator: Jul 12, 2018
    #13
  14. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    Just redownload the Yanfly ones from Yanfly's site. If you have anymore errors, we may need you to post a screenshot of the error log (the error log appears when you press F8).
     
    #14
  15. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist I thought that you could only add plugins to your game through the NewData folder. How would I add this new update to my game that's already been started?
     
    #15
  16. JtheDuelist

    JtheDuelist - Veteran

    Messages:
    993
    Likes Received:
    1,230
    Location:
    RMW Forums, Granvia, or Askr
    First Language:
    English
    Primarily Uses:
    RMMV
    If you are still trying to update your project
     
    #16
  17. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist Sorry it has taken me so long to respond, but I was updating my plugins and trying to follow the instructions in the video that you linked. I will be back in a little while to let you know if the issue is solved. Thank you and @KayZaman both for your input.
     
    #17
  18. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @JtheDuelist and @KayZaman Thank you both so much! It works like a charm! I don't know if I can close this thread, but I actually want to keep it open so others with the same problem as me can find the solution as well.
     
    #18
    JtheDuelist likes this.
  19. KayZaman

    KayZaman Brother-Veteran Veteran

    Messages:
    751
    Likes Received:
    1,694
    Location:
    South-East Asia
    First Language:
    English & Malay
    Primarily Uses:
    RMMV
    @Google_Chrom Your welcome. And please, don’t double post. Moderater will give you warning.
     
    #19
  20. Google_Chrom

    Google_Chrom The Exalted One Member

    Messages:
    22
    Likes Received:
    47
    Location:
    A world in RPG Maker MV
    First Language:
    English
    Primarily Uses:
    RMMV
    @KayZaman When did I double post? Did one of my messages get sent through a second time?
     
    #20

Share This Page